package org.tranql.connector;

import javax.resource.spi.ManagedConnectionFactory;

/**
 * A specialization of {@link ManagedConnectionFactory} that provides access to a defined
 * user name and password credential that should be used for all connections.
 *
 * @version $Revision: 204 $ $Date: 2005-07-16 17:32:09 -0400 (Sat, 16 Jul 2005) $
 */
public interface UserPasswordManagedConnectionFactory extends ManagedConnectionFactory {
    /**
     * Return the user name used to establish the connection.
     *
     * @return the user name used to establish the connection
     */
    String getUserName();

    /**
     * Return the password credential used to establish the connection.
     *
     * @return the password credential used to establish the connection
     */
    String getPassword();
}
